locals {
  # effectively, this is events.apis.holi.social
  events_environments_zone_dns_name = "events.${data.terraform_remote_state.holi_infra_state.outputs.dns_apis_zone_domain}."
}

# events api environments zone
resource "google_dns_managed_zone" "events_environments_zone" {
  project  = data.terraform_remote_state.holi_infra_state.outputs.shared_project_id
  name     = "events-holi-social-environments-zone"
  dns_name = local.events_environments_zone_dns_name
}

resource "google_dns_record_set" "events_environments_zone_entry" {
  project = data.terraform_remote_state.holi_infra_state.outputs.shared_project_id
  name    = local.events_environments_zone_dns_name
  type    = "NS"
  ttl     = 300

  managed_zone = data.terraform_remote_state.holi_infra_state.outputs.dns_apis_zone_name

  rrdatas = google_dns_managed_zone.events_environments_zone.name_servers
}

output "dns_events_domain" {
  value = trim(google_dns_managed_zone.events_environments_zone.dns_name, ".")
}

output "dns_events_domain_name" {
  value = google_dns_managed_zone.events_environments_zone.name
}
